ServerEvents.recipes(event => {

	event.shaped('minecraft:crying_obsidian',
		[
			' A ',
			'ABA',
			' A '
		],
		{
			A: 'minecraft:ghast_tear',
			B: 'minecraft:obsidian'
		}
	)

	event.replaceInput({ output: 'create_power_loader:empty_brass_chunk_loader' }, 'create:brass_casing', 'tfmg:industrial_aluminum_casing')
	event.replaceInput({ output: 'create_power_loader:empty_brass_chunk_loader' }, 'create:precision_mechanism', 'tfmg:steel_mechanism')
	event.replaceInput({ input: 'immersiveengineering:graphite_electrode' }, 'immersiveengineering:graphite_electrode', 'tfmg:graphite_electrode')



	event.remove({ id: 'create:milling/sandstone' })
	event.remove({ id: 'create_power_loader:crafting/empty_andesite_chunk_loader' })
	event.remove({ id: 'create:conversion_0' })

	event.recipes.createCrushing([
		'minecraft:sand',
		Item.of('tfmg:nitrate_dust').withChance(0.025)
	], Ingredient.of('#forge:sandstone/colorless'))

	event.recipes.createCrushing([
		'minecraft:red_sand',
		Item.of('tfmg:nitrate_dust').withChance(0.025)
	], Ingredient.of('#forge:sandstone/red'))

	event.remove({ id: 'enderio:item_conduit' })
	event.recipes.thermal.bottler('enderio:item_conduit', [
		Fluid.of('thermal:ender', 100),
		'enderio:pressurized_fluid_conduit'])

	event.remove({ output: 'ae2:controller' })
	event.shaped(Item.of('ae2:controller', 4), [
		'ABA',
		'CDE',
		'FGH'
	], {
		A: 'tfmg:circuit_board',
		B: 'ae2:engineering_processor',
		C: 'actuallyadditions:empowered_diamatine_crystal',
		D: 'thermal:machine_frame',
		E: 'actuallyadditions:empowered_restonia_crystal',
		F: 'ae2:formation_core',
		G: 'actuallyadditions:empowered_void_crystal',
		H: 'ae2:annihilation_core'
	})

	event.remove({ output: 'enderio:void_chassis' })
	event.shaped('enderio:void_chassis', [
		'AEA',
		'BCB',
		'ADA'
	], {
		A: 'enderio:dark_steel_ingot',
		B: 'enderio:infinity_rod',
		C: 'thermal:machine_frame',
		D: 'actuallyadditions:empowered_void_crystal',
		E: 'eidolon:ender_calx'
	})

	event.remove({ output: 'enderio:ensouled_chassis' })
	event.shaped('enderio:ensouled_chassis', [
		'AEA',
		'BCB',
		'ADA'
	], {
		A: 'enderio:soularium_ingot',
		B: 'enderio:soul_powder',
		C: 'enderio:void_chassis',
		D: 'actuallyadditions:empowered_emeradic_crystal',
		E: 'kubejs:moderate_soul_gem'
	})

	event.shaped('kubejs:graphite_block', [
		'AAA',
		'AAA',
		'AAA'
	], {
		A: 'kubejs:graphite_ingot'
	})

	event.shaped('9x kubejs:graphite_ingot', [
		'A'
	], {
		A: 'kubejs:graphite_block'
	})
	let pressing = (output, die, input, count) => {
		event.custom({
			"type": "thermal:press",
			"ingredients": [
				{
					"item": input,
					"count": count
				},
				{
					"item": die
				}
			],
			"result": [
				{
					"item": output
				}
			],
			"energy": 800
		})
	}


	event.remove({ output: 'tfmg:graphite_electrode' })
	event.remove({ output: 'immersiveengineering:graphite_electrode' })
	event.remove({ output: 'immersiveengineering:ingot_hop_graphite' })
	event.remove({ output: 'immersiveengineering:dust_hop_graphite' })
	event.remove({ output: 'ae2:fluix_pearl' })
	pressing("kubejs:graphite_ingot", "tconstruct:ingot_cast", "kubejs:graphite_dust", 8)
	pressing("tfmg:graphite_electrode", "tconstruct:rod_cast", "kubejs:graphite_ingot", 4)
	pressing("ae2:fluix_pearl", "thermal:chiller_ball_cast", "ae2:fluix_dust", 3)
	event.recipes.thermal.centrifuge([
		Item.of('kubejs:graphite_dust').withChance(0.40),
		Item.of('tfmg:slag').withChance(0.80)
	],
		'tfmg:coal_coke_dust')

	event.remove({output:'tfmg:fireproof_chemical_vat'})
	event.shaped(Item.of('tfmg:fireproof_chemical_vat', 4), [
		'ABA',
		'CDC',
		'AEA'
	], {
		A: 'tfmg:fireproof_bricks',
		B: 'tfmg:rubber_sheet',
		C: 'tfmg:circuit_board',
		D: 'tfmg:steel_chemical_vat',
		E: 'tfmg:heavy_machinery_casing'
	})




	event.remove({ output: 'enderio:grains_of_infinity' })
	event.recipes.thermal.centrifuge([
		Item.of('enderio:confusing_powder').withChance(0.10)
	],
		'kubejs:carpet_dust')

	event.shaped('kubejs:diamond_brush', [
		'  A',
		' B ',
		'   '
	], {
		A: 'minecraft:stick',
		B: '#forge:dusts/diamond'
	})

	event.remove({ id: 'immersiveengineering:alloysmelter/brass' })

	event.replaceInput({ input: 'immersiveengineering:component_electronic_adv' }, 'immersiveengineering:component_electronic_adv', 'tfmg:circuit_board')
	event.replaceInput({ mod: 'actuallyadditions' }, 'actuallyadditions:wood_casing', 'create:brass_casing')
	event.replaceInput({ mod: 'actuallyadditions' }, 'actuallyadditions:iron_casing', 'create:railway_casing')
	event.replaceInput({ mod: 'actuallyadditions' }, 'actuallyadditions:ender_casing', 'create:railway_casing')

	event.remove({ output: 'thermal:tar' })
	event.remove({ output: 'thermal:bitumen' })
	event.custom({
		"type": "thermal:pyrolyzer",
		"ingredient": {
			"item": "thermal:bitumen"
		},
		"result": [
			{
				"item": "thermal:tar"
			},
			{
				"item": "minecraft:coal",
				"chance": 0.25
			},
			{
				"fluid": "tfmg:creosote",
				"amount": 250
			}
		],
		"experience": 0.15
	})

	event.custom({
		"type": "thermal:pyrolyzer",
		"ingredient": {
			"item": "kubejs:sculked_sculk_scrubber"
		},
		"result": [
			{
				"item": "kubejs:sculk_scrubber"
			},
			{
				"item": "minecraft:echo_shard"
			},
			{
				"item": "minecraft:echo_shard"
			},
			{
				"fluid": "enderio:dew_of_the_void",
				"amount": 250
			}
		],
		"experience": 0.15
	})

	event.custom({
		"type": "thermal:refinery",
		"ingredient": {
			"fluid": "thermal:crude_oil",
			"amount": 500
		},
		"result": [
			{
				"fluid": "thermal:heavy_oil",
				"amount": 20
			},
			{
				"fluid": "thermal:light_oil",
				"amount": 30
			},
			{
				"item": "thermal:bitumen"
			}
		],
		"energy": 1000
	})

	event.custom({
		"type": "thermal:refinery",
		"ingredient": {
			"fluid": "thermal:heavy_oil",
			"amount": 500
		},
		"result": [
			{
				"fluid": "thermal:light_oil",
				"amount": 250
			}
		],
		"energy": 1000
	})
	event.recipes.createFilling('immersiveengineering:fiberboard', [
		'#minecraft:planks',
		Fluid.of('immersiveengineering:phenolic_resin', 100)
	])

	event.remove({ id: 'create:crushing/crimsite_recycling' })
	event.remove({ id: 'create:crushing/crimsite' })

	event.recipes.createCrushing([
		Item.of('create:crushed_raw_iron').withChance(0.4),
		Item.of('immersiveengineering:raw_aluminum').withChance(0.02),
	], 'create:crimsite')
	event.remove({ id: 'tfmg:mixing/sulfuric_acid' })
	event.remove({ id: 'tfmg:vat_machine_recipe/sulfuric_acid' })
	event.custom({
		"type": "immersiveengineering:mixer",
		"energy": 3200,
		"fluid": {
			"amount": 500,
			"tag": "minecraft:water"
		},
		"inputs": [
			{
				"tag": "forge:dusts/sulfur"
			},
			{
				"item": "tfmg:nitrate_dust"
			}
		],
		"result": {
			"amount": 500,
			"fluid": "tfmg:sulfuric_acid"
		}
	})

})